%define upstream_name Horde_Cache
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.3.0
Release:     	%mkrel 2
Summary:    	Horde Caching API
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
Requires:	php-pear-Horde_Compress_Fast >= 1.0.0
Requires:	php-pear-Horde_Compress_Fast < 2.0.0alpha1
Requires:	php-pear-Horde_Exception >= 2.0.0
Requires:	php-pear-Horde_Exception < 3.0.0alpha1
Requires:	php-pear-Horde_Util >= 2.0.0
Requires:	php-pear-Horde_Util < 3.0.0alpha1
BuildArch:  	noarch


%description
This package provides a simple, functional caching API, with the option to
store the cached data on the filesystem, in one of the PHP opcode cache
systems (APC, eAcclerator, XCache, or Zend Performance Suite's content
cache), memcached, or an SQL table.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Cache.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Cache.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Cache
fi

%files
%doc docs/Horde_Cache/*
%{peardir}/*
%{xmldir}/Horde_Cache.xml

%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.3.0-2.mga4
+ Revision: 545240
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 spuhler <spuhler> 2.3.0-1.mga4
+ Revision: 500978
- upgrade to version 2.3.0

* Wed Aug 14 2013 spuhler <spuhler> 2.2.1-1.mga4
+ Revision: 466534
- upgrade to ver 2.2.1

* Fri Jun 14 2013 spuhler <spuhler> 2.2.0-1.mga4
+ Revision: 443083
- upgrade to version 2.2.0

* Tue Jun 04 2013 spuhler <spuhler> 2.1.0-1.mga4
+ Revision: 437308
- added line mv %%{buildroot}/docs .
 * to get the docs into the package
- upgrade to ver. 2.1.0
- update Requires per upstream
- rearranged file section

* Sun Jan 13 2013 umeabot <umeabot> 1.0.4-5.mga3
+ Revision: 376423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 03 2011 spuhler <spuhler> 1.0.4-4.mga2
+ Revision: 131443
- changed Provides: php-pear-Horde_Cache to Provides: php-pear-Horde_Cache = %%{version}
- added Obsoletes:	horde-cache
-Requires:  	php-pear-Exception <= 2.0.0
-Requires:  	php-pear-Util <= 2.0.0
-Conflicts: 	php-pear-Exception = 2.0.0
-Conflicts:  	php-pear-Util = 2.0.0
  +Requires:  	php-pear-Horde_Exception <= 2.0.0
  +Requires:  	php-pear-Horde_Util <= 2.0.0
  +Conflicts: 	php-pear-Horde_Exception = 2.0.0
  +Conflicts:  	php-pear-Horde_Util = 2.0.0
- imported package php-pear-Horde_Cache

